# QLNode Class Reference

The QLNode class is an internal class for the QList template collection. More...

`#include <qglist.h>`

List of all member functions.

## Public Members

- GCI getData ()

## Detailed Description

The QLNode class is an internal class for the QList template collection.

QLNode is a doubly linked list node; it has three pointers:

1. Pointer to the previous node.
2. Pointer to the next node.
3. Pointer to the actual data.

Sometimes it might be practical to have direct access to the list nodes in a QList, but it is seldom required.

Warning: Be very careful if you want to access the list nodes. The heap can easily get corrupted if you make a mistake.

See also: QList::currentNode(), QList::removeNode() and QList::takeNode().

## Member Function Documentation

### GCI QLNode::getData ()

Returns a pointer (`void*)` to the actual data in the list node.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qglist.h: 1998/08/25
- qglist.cpp: 1998/07/03